#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	Leptonica - image processing and analysis library
Summary(pl.UTF-8):	Leptonica - biblioteka do przetwarzania i analizy obrazu
Name:		leptonlib
Version:	1.84.1
Release:	1%{?tld}
License:	BSD-like
Group:		Libraries
#Source0Download: http://www.leptonica.org/download.html
Source0:	http://www.leptonica.org/source/leptonica-%{version}.tar.gz
# Source0-md5:	01e6de7af2ba93b8350cdc3f7aeb0fbf
URL:		http://www.leptonica.org/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	giflib-devel >= 5.1.3
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel >= 4
BuildRequires:	libtool >= 2:2
BuildRequires:	libwebp-devel >= 0.5.0
BuildRequires:	openjpeg2-devel >= 2.1.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRequires:	zlib-devel
Requires:	giflib >= 5.1.3
Requires:	libwebp >= 0.5.0
Requires:	openjpeg2 >= 2.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Leptonica - image processing and analysis library.

%description -l pl.UTF-8
Leptonica - biblioteka do przetwarzania i analizy obrazu.

%package devel
Summary:	Header files for lepton library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki lepton
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	giflib-devel >= 5.1.3
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libtiff-devel >= 4
Requires:	libwebp-devel >= 0.5.0
Requires:	openjpeg2-devel >= 2.1.0
Requires:	zlib-devel

%description devel
Header files for lepton library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki lepton.

%package static
Summary:	Static lepton library
Summary(pl.UTF-8):	Statyczna biblioteka lepton
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static lepton library.

%description static -l pl.UTF-8
Statyczna biblioteka lepton.

%prep
%setup -q -n leptonica-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# programs are mostly examples or tests (seems nothing really useful)
# and they have too generic names
%configure \
	--disable-programs \
	--disable-silent-rules \
	%{__enable_disable static_libs static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/liblept*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.html leptonica-license.txt version-notes.html moller52.jpg
%attr(755,root,root) %{_libdir}/libleptonica.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libleptonica.so.6

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libleptonica.so
%{_includedir}/leptonica
%{_pkgconfigdir}/lept.pc
%{_libdir}/cmake/LeptonicaConfig*.cmake

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libleptonica.a
%endif
%changelog
* Tue Apr 02 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/leptonlib.git;a=log;h=master

* Thu Feb 29 2024 Jan Palus <atler@pld-linux.org> 3766ebd
- add static_libs bcond

* Thu Feb 29 2024 Jakub Bogusz <qboosh@pld-linux.org> 56752f9
- updated to 1.84.1

* Sat Apr 08 2023 Jakub Bogusz <qboosh@pld-linux.org> 3e1a4d9
- updated to 1.83.0 (new soname, renamed liblept to libleptonica)

* Fri Mar 18 2022 Jakub Bogusz <qboosh@pld-linux.org> 78e1570
- updated to 1.82.0

* Sun Apr 25 2021 Jakub Bogusz <qboosh@pld-linux.org> e68c54b
- updated to 1.80.0

* Sat Mar 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 3f05a87
- updated to 1.79.0

* Sat Jul 27 2019 Jakub Bogusz <qboosh@pld-linux.org> cad132b
- updated URL

* Fri Apr 26 2019 Jakub Bogusz <qboosh@pld-linux.org> 2b2557a
- updated to 1.78.0

* Sun Jul 16 2017 Jakub Bogusz <qboosh@pld-linux.org> 86b3ced
- updated to 1.74.4

* Sat Apr 22 2017 Jakub Bogusz <qboosh@pld-linux.org> 3762bc6
- release 2 (rebuild with libwebp 0.6)

* Thu Mar 30 2017 Bartek Szady <bszx@bszx.eu> 1239138
- updated to 1.74.1

* Thu Feb 25 2016 Jakub Bogusz <qboosh@pld-linux.org> 232831d
- updated to 1.73 (note: new soname)

* Sun Jan 03 2016 Jan Rękorajski <baggins@pld-linux.org> cf28b79
- release 2 (by relup.sh)

* Thu Aug 06 2015 Tomasz Pala <gotar@pld-linux.org> 231ae77
- upgraded to 1.72

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> a840341
- x32 rebuild
- release 2 (by relup.sh)

* Wed Nov 05 2014 Jakub Bogusz <qboosh@pld-linux.org> bace482
- updated download URL; BR: openjpeg2-devel

* Tue Nov 04 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 8d0320e
- up to 1.71

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> f116fe5
- release 3 (by relup.sh)

* Sun Oct 26 2014 Jan Rękorajski <baggins@pld-linux.org> 930e645
- release 2 (by relup.sh)

* Sat Feb 01 2014 Jakub Bogusz <qboosh@pld-linux.org> 0f357cb
- disable silent-rules

